<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel = "stylesheet" href = "{{ url_for('static', filename = 'main.css') }}">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.10.1/css/all.css" integrity="sha384-wxqG4glGB3nlqX0bi23nmgwCSjWIW13BdLUEYC4VIMehfbcro/ATkyDsF/AbIOVe" crossorigin="anonymous">
  <script src = "https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  {% if title %}
  <title>{{ title }} - Wynk</title>
  {% else %}
  <title>Wynk</title>
  {% endif %}
</head>

<body>
<nav class="navigation-bar">

    <a href="{{ url_for('home') }}"><img src="{{ url_for('static', filename='images.png')}}"  alt="Wynk" class="logo"></a>
    <a class="navbar-item" href="{{ url_for('home') }}">HOME</a> 
    <input type="text" class = "search_input" placeholder=" Search for music you love..&#128269;" name="search">
    {% if current_user.is_anonymous %}
    <a class="navbar-item" href="{{ url_for('login') }}">SIGN IN</a>
    {% else %}
        {% if current_user.user_type == "admin" %}
            <a class="navbar-item" href="{{ url_for('admin') }}">ADD SONG</a>
        {% endif %}
    <a class="navbar-item" href="{{ url_for('logout') }}">LOGOUT</a>
    {% endif %}
        {% if g.search_form %}
        <form method="get">
            {{g.find_music.q(size=20)}}
          </form>
          {% if song %}
          {% for s in song %}
          {{s}}
          {% endfor %}
          {% endif %}
        <form class="navbar-form navbar-left" method="get"
                action="{{ url_for('search') }}">
            <div class="form-group">
                {{ g.search_form.q(size=20, class='form-control',
                    placeholder=g.search_form.q.label.text) }}
            </div>
        </form>
        {% endif %}
</nav>
    {% with messages = get_flashed_messages() %}
    {% if messages %}
    <ul>
        {% for message in messages %}
        <p class="message">{{ message }}</p>
        {% endfor %}
    </ul>
    {% endif %}
    {% endwith %}

    {% block content %}{% endblock %}

</body>
</html>
